package tools.descartes.dql.connector.kieker.structures;

import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import tools.descartes.dql.connector.kieker.structures.identifier.ComponentIdentifier;
import tools.descartes.dql.connector.kieker.structures.identifier.ResourceIdentifier;
import tools.descartes.dql.connector.kieker.structures.records.AbstractRecord;
import tools.descartes.dql.connector.kieker.structures.records.EventRecord;
import tools.descartes.dql.connector.kieker.structures.records.ResourceRecord;

/**
 * Stores list of event records and offers multiple analysis methods.
 * 
 * @author J�rgen Walter
 */
public class Session {
	
	public String id;
	public Long start;
	public Long duration;
	
	public Session(	String id, Long start, Long duration) {
		this.id = id;
		this.start = start;
		this.duration = duration;
	}
	
}
